# robot 聊天机器人

web端和后端交互式时，增删改查的规则配置是存放在rules对象中的。在数据库中，rules字段是作为json字符串存放的。
```json
{
    "title": "1",
    "response": "11",
    "rules": {
        "keywords": {
            "enable": true,
            "content": "什么,为什么,怎么办,不是"
        },
        "joinSession": {
            "enable": true
        },
        "noReplyAfter": {
            "enable": false,
            "secondDuration": 1
        }
    },
    "status": 1
}
```
如果有新增的规则，直接在rules对象中添加字段即可。然后去 [./rulerList.go](./rulerList.go)  中，增加规则的解析方法。
目前，在[./rulerList.go](./rulerList.go)定义了三种回复规则的解析方式：
- keywords ：关键字回复
- joinSession：用户打开聊天窗口后
- noReplyAfter：客服指定时间没有回复后
